Skip to main content

LTH SOPR

lth-sopr

Chart: LTH SOPR

Parameters

NameTypeDescriptionRequired
start_datestringStart date in YYYY-MM-DD formatNo
end_datestringEnd date in YYYY-MM-DD formatNo
latestboolIf true, returns the current valueNo

Output

IndexNameTypeDescription
0datestringDate (ISO)
1closing_pricestringClosing price
2lth_soprstringLTH SOPR
3lth_sopr_colorstringLTH SOPR color ('green' or 'red')
4lth_sopr_1stringLTH SOPR - 1
5field_7_day_ma_lth_soprstring7-day MA LTH SOPR
6field_7_day_ma_lth_sopr_1string7-day MA LTH SOPR - 1
7field_30_day_ma_lth_soprstring30-day MA LTH SOPR
8field_30_day_ma_lth_sopr_1string30-day MA LTH SOPR - 1
9lth_sopr_percentilestringLTH SOPR percentile

Example Request

https://charts.bitbo.io/api/v1/lth-sopr/?start_date=2025-05-07&end_date=2025-05-09

Example Request with Latest

https://charts.bitbo.io/api/v1/lth-sopr/?latest=true

Code Samples

curl "https://charts.bitbo.io/api/v1/lth-sopr/?start_date=2025-05-07&end_date=2025-05-09&api_key=YOUR_API_KEY"

Example Output

{
"data": [
[
"2025-05-07",
"12.34",
"12.34",
"#ff0000",
"56.78",
"12.34",
"56.78",
"12.34",
"56.78",
"12.34"
],
[
"2025-05-08",
"23.45",
"23.45",
"#ff0000",
"67.89",
"23.45",
"67.89",
"23.45",
"67.89",
"23.45"
],
[
"2025-05-09",
"34.56",
"34.56",
"#ff0000",
"78.90",
"34.56",
"78.90",
"34.56",
"78.90",
"34.56"
]
]
}